//#region libs/shared/common/src/functions/pre-transaction/solana-public-signals.ts
var e = (e, t) => {
	let n = t.tokenNumber, r = t.nullifierAmount, i = t.outputAmount, a = 0, o = Uint8Array.from(e[a]);
	a += 1;
	let s = Uint8Array.from(e[a]);
	a += 1;
	let c = Uint8Array.from(e[a]);
	a += 1;
	let l = Uint8Array.from(e[a]);
	a += 1;
	let u = Uint8Array.from(e[a]);
	a += 1;
	let d = Uint8Array.from(e[a]);
	a += 1;
	let f = [];
	for (let t = 0; t < n; t += 1) f.push(Uint8Array.from(e[a])), a += 1;
	let p = [];
	for (let t = 0; t < n; t += 1) p.push(Uint8Array.from(e[a])), a += 1;
	let m = [];
	for (let t = 0; t < n; t += 1) m.push(Uint8Array.from(e[a])), a += 1;
	let h = [];
	for (let t = 0; t < n; t += 1) {
		let t = [];
		for (let n = 0; n < r; n += 1) t.push(Uint8Array.from(e[a])), a += 1;
		h.push(t);
	}
	let g = Uint8Array.from(e[a]);
	a += 1;
	let _ = [];
	for (let t = 0; t < n; t += 1) {
		let t = [];
		for (let n = 0; n < i; n += 1) t.push(Uint8Array.from(e[a])), a += 1;
		_.push(t);
	}
	let v = Uint8Array.from(e[a]);
	a += 1;
	let y = Uint8Array.from(e[a]);
	a += 1;
	let b = Uint8Array.from(e[a]);
	return {
		outH1Ay: [...o],
		outStealthAddress: [...s],
		message: [...c],
		swapperAccountAdditionalSeed: [...l],
		rootHash: [...u],
		signedMessageHash: [...d],
		mintAccountPart1: f.map((e) => [...e]),
		mintAccountPart2: p.map((e) => [...e]),
		amountChanges: m.map((e) => [...e]),
		inNullifiers: h.map((e) => e.map((e) => [...e])),
		outTimestamp: [...g],
		outCommitments: _.map((e) => e.map((e) => [...e])),
		calldataHash: [...v],
		h0Ax: [...y],
		h0Ay: [...b]
	};
};
//#endregion
export { e as convertSolanaPublicSignals };
